#!/usr/bin/gnuplot

chi2 = 100138.

factor_1sigma = 1.00370112499542
factor_3sigma = 1.02363589724798

chi2_1sigma = factor_1sigma*chi2
chi2_3sigma = factor_3sigma*chi2

set term x11

set yl "chi^2"

set yr [:chi2_3sigma]
y1=chi2-200
y2=chi2*(1+2*(factor_3sigma-1))
set yr [y1:y2]

set arrow from graph 0,first chi2 to graph 1,first chi2 nohead lt 7
set arrow from graph 0,first chi2_1sigma to graph 1,first chi2_1sigma nohead lt 0
set arrow from graph 0,first chi2_3sigma to graph 1,first chi2_3sigma nohead lt 0

set style line 1 lt 1
set style line 2 lt 2
pa=-1
set xl "tempcp"  ; p "<./sigma.awk tempcp   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  2:26 ls 1; pa pa
set xl "adisc"   ; p "<./sigma.awk adisc    uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  3:26 ls 1; pa pa
set xl "routdc"  ; p "<./sigma.awk routdc   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  4:26 ls 1; pa pa
set xl "tempdc"  ; p "<./sigma.awk tempdc   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  5:26 ls 1; pa pa
set xl "densdc"  ; p "<./sigma.awk densdc   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  6:26 ls 1; pa pa
set xl "edendc"  ; p "<./sigma.awk edendc   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  7:26 ls 1; pa pa
set xl "etmpdc"  ; p "<./sigma.awk etmpdc   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  8:26 ls 1; pa pa
set xl "dinc"    ; p "<./sigma.awk dinc     uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u  9:26 ls 1; pa pa
set xl "omega_an"; p "<./sigma.awk omega_an uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 10:26 ls 1; pa pa
set xl "rsp"     ; p "<./sigma.awk rsp      uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 11:26 ls 1; pa pa
set xl "tempsp"  ; p "<./sigma.awk tempsp   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 12:26 ls 1; pa pa
set xl "denssp"  ; p "<./sigma.awk denssp   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 13:26 ls 1; pa pa
set xl "rpolsp"  ; p "<./sigma.awk rpolsp   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 14:26 ls 1; pa pa
set xl "pangsp"  ; p "<./sigma.awk pangsp   uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 15:26 ls 1; pa pa
set xl "dd"      ; p "<./sigma.awk dd       uncertainties.out" u 1:(y1+(y2-y1)*$2) w l ls 2, "fit.logs" u 16:26 ls 1; pa pa


